package ru.kirillius.cooler.controller.API;

import ru.kirillius.cooler.controller.EventSystem.EventListener;

public interface Operation {

    boolean isComplete();

    boolean isSuccessful();

    void start();

    void interrupt();

    void waitForReturn();

    byte getValue();

    void addCompleteListener(EventListener<Operation> listener);
}
